Title: Nav_Menu_Item Revisions
Published: April 26, 2023
Last modified: October 14, 2026

---

# Nav_Menu_Item Revisions

## In this article

 * [Schema](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema)
 * [Retrieve a Nav_Menu_Item Revision](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#retrieve-a-nav_menu_item-revision)
    - [Definition & Example Request](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#definition-example-request)
    - [Arguments](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#arguments)
 * [Create a Nav_Menu_Item Revision](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#create-a-nav_menu_item-revision)
    - [Arguments](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#arguments-2)
    - [Definition](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#definition)
 * [Retrieve a Nav_Menu_Item Revision](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#retrieve-a-nav_menu_item-revision-2)
    - [Definition & Example Request](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#definition-example-request-2)
    - [Arguments](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#arguments-3)

## 󠀁[Schema](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema)󠁿

The schema defines all the fields that exist within a nav_menu_item revision record.
Any response from these endpoints can be expected to contain the fields below unless
the `_filter` query parameter is used or the schema field only appears in a specific
context.

 |   `author`  |   The ID for the author of the revision.

 JSON data type: integer

Context: `view`, `edit`, `embed`

  |  
 |   `date`  |   The date the revision was published, in the site’s timezone.

 JSON data type: string,
 Format: datetime ([details](https://core.trac.wordpress.org/ticket/41032))

Context: `view`, `edit`, `embed`

  |  
 |   `date_gmt`  |   The date the revision was published, as GMT.

 JSON data type: string,
 Format: datetime ([details](https://core.trac.wordpress.org/ticket/41032))

Context: `view`, `edit`

  |  
 |   `guid`  |   GUID for the revision, as it exists in the database.

 JSON data type: string

Context: `view`, `edit`

  |  
 |   `id`  |   Unique identifier for the revision.

 JSON data type: integer

Context: `view`, `edit`, `embed`

  |  
 |   `modified`  |   The date the revision was last modified, in the site’s timezone.

 JSON data type: string,
 Format: datetime ([details](https://core.trac.wordpress.org/ticket/41032))

Context: `view`, `edit`

  |  
 |   `modified_gmt`  |   The date the revision was last modified, as GMT.

 JSON data type: string,
 Format: datetime ([details](https://core.trac.wordpress.org/ticket/41032))

Context: `view`, `edit`

  |  
 |   `parent`  |   The ID for the parent of the revision.

 JSON data type: integer

Context: `view`, `edit`, `embed`

  |  
 |   `slug`  |   An alphanumeric identifier for the revision unique to its type.

 JSON data type: string

Context: `view`, `edit`, `embed`

  |  
 |   `title`  |   The title for the object.

 JSON data type: string or object

Context: `view`, `edit`, `embed`

  |  
 |   `preview_link`  |   Preview link for the post.

 JSON data type: string,
 Format: uri

Read only

Context: `edit`

  |

## 󠀁[Retrieve a Nav_Menu_Item Revision](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#retrieve-a-nav_menu_item-revision)󠁿

### 󠀁[Definition & Example Request](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#definition-example-request)󠁿

 `GET /wp/v2/menu-items/<id>/autosaves`

 Query this endpoint to retrieve a specific nav_menu_item revision record.

 `$ curl https://example.com/wp-json/wp/v2/menu-items/<id>/autosaves`

### 󠀁[Arguments](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#arguments)󠁿

 |   `parent`  |   The ID for the parent of the autosave.  |  
 |   `context`  |   Scope under which the request is made; determines fields present in response.

 Default: `view`

 One of: `view`, `embed`, `edit`

 |

## 󠀁[Create a Nav_Menu_Item Revision](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#create-a-nav_menu_item-revision)󠁿

### 󠀁[Arguments](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#arguments-2)󠁿

 |   `[parent](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-parent)`  |   The ID for the parent of the object.  |  
 |   `[title](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-title)`  |   The title for the object.  |  
 |   `[type](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-type)`  |   The family of objects originally represented, such as “post_type” or “taxonomy”.
 One of: `taxonomy`, `post_type`, `post_type_archive`, `custom`  |  
 |   `[status](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-status)`  |   A named status for the object. One of: `publish`, `future`, `draft`, `pending`, `private`  |  
 |   `[attr_title](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-attr_title)`  |   Text for the title attribute of the link element for this menu item.  |  
 |   `[classes](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-classes)`  |   Class names for the link element of this menu item.  |  
 |   `[description](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-description)`  |   The description of this menu item.  |  
 |   `[menu_order](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-menu_order)`  |   The DB ID of the nav_menu_item that is this item’s menu parent, if any, otherwise 0.  |  
 |   `[object](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-object)`  |   The type of object originally represented, such as “category”, “post”, or “attachment”.  |  
 |   `[object_id](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-object_id)`  |   The database ID of the original object this menu item represents, for example the ID for posts or the term_id for categories.  |  
 |   `[target](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-target)`  |   The target attribute of the link element for this menu item. One of: `_blank`,   |  
 |   `[url](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-url)`  |   The URL to which this menu item points.  |  
 |   `[xfn](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-xfn)`  |   The XFN relationship expressed in the link of this menu item.  |  
 |   `[menus](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-menus)`  |   The terms assigned to the object in the nav_menu taxonomy.  |  
 |   `[meta](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#schema-meta)`  |   Meta fields.  |

### 󠀁[Definition](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#definition)󠁿

 `POST /wp/v2/menu-items/<id>/autosaves`

## 󠀁[Retrieve a Nav_Menu_Item Revision](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#retrieve-a-nav_menu_item-revision-2)󠁿

### 󠀁[Definition & Example Request](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#definition-example-request-2)󠁿

 `GET /wp/v2/menu-items/<parent>/autosaves/<id>`

 Query this endpoint to retrieve a specific nav_menu_item revision record.

 `$ curl https://example.com/wp-json/wp/v2/menu-items/<parent>/autosaves/<id>`

### 󠀁[Arguments](https://developer.wordpress.org/rest-api/reference/nav_menu_item-revisions/?output_format=md#arguments-3)󠁿

 |   `parent`  |   The ID for the parent of the autosave.  |  
 |   `id`  |   The ID for the autosave.  |  
 |   `context`  |   Scope under which the request is made; determines fields present in response.

 Default: `view`

 One of: `view`, `embed`, `edit`

 |

First published

April 26, 2023

Last updated

October 14, 2026

Edit article

[ Improve it on GitHub: Nav_Menu_Item Revisions ](https://github.com/WP-API/docs/edit/master/reference/nav_menu_item-revisions.md)

Changelog

[ See list of changes: Nav_Menu_Item Revisions ](https://github.com/WP-API/docs/commits/master/reference/nav_menu_item-revisions.md)

[  Previous: Nav_Menus](https://developer.wordpress.org/rest-api/reference/nav_menus/)

[  Next: Nav_Menu_Items](https://developer.wordpress.org/rest-api/reference/nav_menu_items/)